
using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.FO
{
    /// <summary>
    /// 接班人员表
    /// </summary>
    [Description("接班人员表")]
    public class T_FO_CHANGE_SHIFT_RECORD_AFTER_USER : MesEntityBase
    {
        /// <summary>
        /// 交接班记录ID
        /// </summary>
        [Description("交接班记录ID")]
        [DataFieldForeignKey("Nav_ChangeShiftRecord", "Nav_AfterUsers")]

        public Guid CHANGE_SHIFT_RECORD_ID { get; set; }

        /// <summary>
        /// 人员ID
        /// </summary>
        [Description("人员ID")]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_User")]

        public Guid USER_ID { get; set; }

        /// <summary>
        /// 交接班状态（待处理、已同意）
        /// </summary>
        [Description("交接班状态")]
        [EnumName("FOUserShiftStatusEnum")]
        [FormFieldEdit]

        public int USER_SHIFT_STATUS { get; set; }

        /// <summary>
        /// 导航属性：人员
        /// </summary>
        [Description("导航属性：人员")]
        public T_FM_USER Nav_User { get; set; }

        /// <summary>
        /// 导航属性：交接班记录
        /// </summary>
        [Description("导航属性：交接班记录")]
        public T_FO_CHANGE_SHIFT_RECORD Nav_ChangeShiftRecord { get; set; }

    }
}
